> ## Documentation Index
> Fetch the complete documentation index at: https://docs.antigen.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an agent



## OpenAPI

````yaml /api/openapi.yaml get /agents/{id}
openapi: 3.1.0
info:
  title: Antigen API
  version: v1
  description: >-
    Use the Antigen API to manage targets, runs, vulnerabilities, evidence,
    reports, hooks, assets, and integrations.
servers:
  - url: https://api.antigen.sh/v1
    description: Production
security:
  - ApiKeyAuth: []
  - BearerAuth: []
  - SessionCookie: []
tags:
  - name: Authentication
  - name: API keys
  - name: Models
  - name: Agents
  - name: Targets
  - name: Runs
  - name: Vulnerabilities
  - name: Evidence
  - name: Reports
  - name: Hooks
  - name: Asset Map
  - name: Integrations
paths:
  /agents/{id}:
    get:
      tags:
        - Agents
      summary: Get an agent
      operationId: getAgent
      parameters:
        - $ref: '#/components/parameters/AgentId'
      responses:
        '200':
          description: Agent details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentDetail'
components:
  parameters:
    AgentId:
      name: id
      in: path
      required: true
      schema:
        type: string
      example: tcell
  schemas:
    AgentDetail:
      allOf:
        - $ref: '#/components/schemas/Agent'
        - type: object
          required:
            - default_skills
            - default_guardrails
          properties:
            default_skills:
              type: array
              items:
                type: string
            default_guardrails:
              type: string
    Agent:
      type: object
      required:
        - id
        - name
        - description
        - default_model
        - capabilities
      properties:
        id:
          type: string
          example: tcell
        name:
          type: string
        description:
          type: string
        default_model:
          type: string
        capabilities:
          type: array
          items:
            type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key from the Antigen dashboard.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: access token
      description: Better Auth access token.
    SessionCookie:
      type: apiKey
      in: cookie
      name: better-auth.session_token
      description: Better Auth browser session cookie.

````